package	jp.co.sds_corp.hibiya.server;

import jp.co.sds_corp.util.config.IConfiguration;

/**
*/
public class DummyChecker extends WebChecker
{
	private static final long serialVersionUID = 1L;
	private IChecker.Status nStat = IChecker.Status.INIT;

	public DummyChecker() {
		setType( "Dummy" );
	}

	public void init( IConfiguration config ) throws Exception {
		super.init( config );
	}

	public void check() {
		switch ( nStat ) {
		case INIT: nStat = IChecker.Status.OK; break;
		case OK: nStat = IChecker.Status.NG; break;
		case NG: nStat = IChecker.Status.INIT; break;
		default:
			break;
		}
		setCheckerStatus( nStat );
	}

	public Object getResult( Object key ) {
		return "[result(" + key + ")]";
	}

}
